Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class TransactionIdentifier1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.TransactionIdentifier1

    public class TransactionIdentifier1
    extends java.lang.Object

Java class for TransactionIdentifier1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionIdentifier1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TxDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ISODateTime"/>
             <element name="TxRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `txDtTm`
`protected java.lang.String` `txRef`

### Constructor Summary

Constructors
`TransactionIdentifier1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getTxDtTm()` Gets the value of the txDtTm property.
`java.lang.String` `getTxRef()` Gets the value of the txRef property.
`void` `setTxDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the txDtTm property.
`void` `setTxRef​(java.lang.String value)` Sets the value of the txRef property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### txDtTm

    protected javax.xml.datatype.XMLGregorianCalendar txDtTm

#### txRef

    protected java.lang.String txRef

### Constructor Detail

#### TransactionIdentifier1

    public TransactionIdentifier1()

### Method Detail

#### getTxDtTm

    public javax.xml.datatype.XMLGregorianCalendar getTxDtTm()

Gets the value of the txDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setTxDtTm

    public void setTxDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the txDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getTxRef

    public java.lang.String getTxRef()

Gets the value of the txRef property.

Returns:
  possible object is `String`

#### setTxRef

    public void setTxRef​(java.lang.String value)

Sets the value of the txRef property.

Parameters:
  `value` - allowed object is `String`